#ifndef _INTERNAL_DATA_H
#define _INTERNAL_DATA_H

#include <glib.h>
#include <stdio.h>

#include "paths.h"
#include "console.h"

/* edition stats */
enum {
  INTERNAL_DATA_NOT_EDITED,
  INTERNAL_DATA_EDITED
};

enum {
  SETTINGS_CHARTS_POINTER_COORDS_STYLE_DEGS,
  SETTINGS_CHARTS_POINTER_COORDS_STYLE_HOURS
};

typedef struct _internal_data {
  gint edition_stat; /* whether the form was edited since last saving */
  gchar *solar_long_table_path; /* file with data to interpolate solar longitudes */
  gint charts_pointer_corrida_style; /* style of coords, degs or hous */
  gchar *vmdbsite_table_path; /* file with imo sites codes */
  gchar *sharedir_path;
} internal_data;

void internal_data_init( int  *argc,
			 char ***argv );

void internal_data_set_edition_stat( gint edition_stat );
gint internal_data_get_edition_stat( void );

gchar *internal_data_get_solar_long_table_path( void );

gint internal_data_get_charts_pointer_coords_style( void );
void internal_data_set_charts_pointer_coords_style( gint style );

gchar *internal_data_get_vmdbsite_file_name( void );

gchar *internal_data_get_sharedir_path( void );

#endif 
